#@TYPE: Machine
#@NAME: qcs6490-mitysom-carrier
#@DESCRIPTION: Machine configuration for Lab 308's MitySOM-QC6490 carrier board
# Note: machine name must have qcs6490 in it for recipes such as wlan-platform to build correctly

require conf/machine/include/qcom-qcs6490.inc

#MACHINE_FEATURES = "usbhost usbgadget alsa wifi bluetooth"

# Version for tracking changes made by Critical Link (e.g. keeping a separate
#  version than DISTRO_VERSION which is set in meta-qcom-distro/conf/distro/include/qcom-base.inc)
# Note that methdology here is to append "-WIP" if this is not a release build.
#  So make sure to bump minor number and add "-WIP" after a release build.
#CL_VERSION = "1.1-WIP"

# Add the following to /etc/buildinfo so we can track details on what we release
IMAGE_BUILDINFO_VARS:append = " CL_VERSION"
IMAGE_BUILDINFO_VARS:append = " IMAGE_BASENAME DATETIME DISTRO_NAME"
IMAGE_BUILDINFO_VARS:append = " MACHINE TUNE_PKGARCH MACHINE_FEATURES"
IMAGE_BUILDINFO_VARS:append = " DISTRO_FEATURES IMAGE_FEATURES TUNE_FEATURES"
IMAGE_BUILDINFO_VARS:append = " IMAGE_INSTALL"

# This DT currently exist only as patches against linux-qcom-base recipe.
KERNEL_DEVICETREE:pn-linux-qcom-base = " \
                      qcom/mitysom-qc6490-carrier.dtb \
                      "

KERNEL_DEVICETREE:pn-linux-qcom-custom = " \
                      qcom/mitysom-qc6490-carrier.dtb \
                      "

# Additional dtbo to overylay on top of kernel devicetree files
KERNEL_TECH_DTBOS[mitysom-qc6490-carrier] = " \
    "

# Recipe providers of above dtbo files.
KERNEL_TECH_DTBO_PROVIDERS = "\
"
